Debian Bug report logs - #279584
bnv_have_qt: QT_CXXFLAGS should contain -DQT_THREAD_SUPPORT if needed

version graph

Package: autoconf-archive; Maintainer for autoconf-archive is Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>; Source for autoconf-archive is src:autoconf-archive.

Reported by: Mikael Magnusson <mikma@users.sourceforge.net>

Date: Wed, 3 Nov 2004 23:18:01 UTC

Severity: normal

Found in version 20040616-1

Fixed in version autoconf-archive/20050617-1

Done: Qingning Huo <qhuo@mayhq.co.uk>

Bug is archived. No further changes may be made.

Forwarded to ac-archive-maintainers@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, godisch@debian.org (Martin A. Godisch):
Bug#279584; Package autoconf-archive. Full text and rfc822 format available.

Acknowledgement sent to Mikael Magnusson <mikma@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to godisch@debian.org (Martin A. Godisch). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mikael Magnusson <mikma@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bnv_have_qt: QT_CXXFLAGS should contain -DQT_THREAD_SUPPORT if needed
Date: Wed, 3 Nov 2004 15:05:22 +0100
Package: autoconf-archive
Version: 20040616-1
Severity: normal

Qt programs should be compiled with -DQT_THREAD_SUPPORT if the Qt library used
is multi threaded, according to /usr/share/qt3/doc/html/threads.html in qt3-doc
(3.3.3-4.1). I think bnv_have_qt.m4 should add -DQT_THREAD_SUPPORT to
QT_CXXFLAGS if needed.

I'm using libqt3-mt-dev (3.3.3-4.1) and bnv_have_qt.m4 reports:

checking for Qt... yes:
    QT_CXXFLAGS=-I/usr/share/qt3/include
    QT_DIR=/usr/share/qt3
    QT_LIBS=-L/usr/share/qt3/lib -lqt-mt  -lSM -lICE  -L/usr/X11R6/lib -lX11 -lXext -lXmu -lXt -lXi
    QT_UIC=/usr/share/qt3/bin/uic
    QT_MOC=/usr/share/qt3/bin/moc
checking correct functioning of Qt installation... succes

Mikael Magnusson

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (900, 'testing'), (100, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-skas-1
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, godisch@debian.org (Martin A. Godisch):
Bug#279584; Package autoconf-archive. Full text and rfc822 format available.

Acknowledgement sent to Qingning Huo <qhuo@mayhq.co.uk>:
Extra info received and forwarded to list. Copy sent to godisch@debian.org (Martin A. Godisch). Full text and rfc822 format available.

Message #10 received at 279584@bugs.debian.org (full text, mbox):

From: Qingning Huo <qhuo@mayhq.co.uk>
To: Mikael Magnusson <mikma@users.sourceforge.net>
Cc: 279584@bugs.debian.org
Subject: Re: bnv_have_qt: QT_CXXFLAGS should contain -DQT_THREAD_SUPPORT if needed
Date: Fri, 26 Nov 2004 23:49:42 +0000
[Message part 1 (text/plain, inline)]
On Wed, Nov 03, 2004 at 03:05:22PM +0100, Mikael Magnusson wrote:
> Package: autoconf-archive
> Version: 20040616-1
> Severity: normal
> 
> Qt programs should be compiled with -DQT_THREAD_SUPPORT if the Qt library used
> is multi threaded, according to /usr/share/qt3/doc/html/threads.html in qt3-doc
> (3.3.3-4.1). I think bnv_have_qt.m4 should add -DQT_THREAD_SUPPORT to
> QT_CXXFLAGS if needed.
> 

Please verify whether the attached patch solve the problem.  Thanks.

qingning

[bnv_have_qt-thread.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to ac-archive-maintainers@gnu.org. Request was from Martin Godisch <martin@godisch.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Qingning Huo <qhuo@mayhq.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mikael Magnusson <mikma@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 279584-close@bugs.debian.org (full text, mbox):

From: Qingning Huo <qhuo@mayhq.co.uk>
To: 279584-close@bugs.debian.org
Subject: Bug#279584: fixed in autoconf-archive 20050617-1
Date: Fri, 01 Jul 2005 11:17:22 -0400
Source: autoconf-archive
Source-Version: 20050617-1

We believe that the bug you reported is fixed in the latest version of
autoconf-archive, which is due to be installed in the Debian FTP archive:

autoconf-archive_20050617-1.diff.gz
  to pool/main/a/autoconf-archive/autoconf-archive_20050617-1.diff.gz
autoconf-archive_20050617-1.dsc
  to pool/main/a/autoconf-archive/autoconf-archive_20050617-1.dsc
autoconf-archive_20050617-1_all.deb
  to pool/main/a/autoconf-archive/autoconf-archive_20050617-1_all.deb
autoconf-archive_20050617.orig.tar.gz
  to pool/main/a/autoconf-archive/autoconf-archive_20050617.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 279584@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Qingning Huo <qhuo@mayhq.co.uk> (supplier of updated autoconf-archive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 21 Jun 2005 22:33:18 +0100
Source: autoconf-archive
Binary: autoconf-archive
Architecture: source all
Version: 20050617-1
Distribution: unstable
Urgency: low
Maintainer: Qingning Huo <qhuo@mayhq.co.uk>
Changed-By: Qingning Huo <qhuo@mayhq.co.uk>
Description: 
 autoconf-archive - The Autoconf Macro Archive
Closes: 279554 279584
Changes: 
 autoconf-archive (20050617-1) unstable; urgency=low
 .
   * New upstram release.
 .
 autoconf-archive (20050520-1) unstable; urgency=low
 .
   * New upstream release.
 .
 autoconf-archive (20050502-1) unstable; urgency=low
 .
   * New upstream release.
 .
 autoconf-archive (20050418-1) unstable; urgency=low
 .
   * New maintainer, closes: #279554.
   * New upstream release.
   - README: Changed pacakge name and Homepage.
   - bnv_have_qt.m4: add "-DQT_THREAD_SUPPORT" when LIB is "qt-mt",
     closes: #279584.
   - new m4 macros added, from 217 to 345.
   * Added debian/watch.
Files: 
 4c94e64e639e16b65911b804b5589e15 615 devel optional autoconf-archive_20050617-1.dsc
 004f0176aca15a13752181e233fae868 505341 devel optional autoconf-archive_20050617.orig.tar.gz
 33a90c9dfe47bc15681ce797f62b475a 2337 devel optional autoconf-archive_20050617-1.diff.gz
 cd71ae95c55def7a56f4c95bec07695c 476914 devel optional autoconf-archive_20050617-1_all.deb

-----BEGIN PGP SIGNATURE-----
Comment: Fingerprint: 1710 7DB1 9A28 42FF B699  7654 ED1A 3933 B2CF CDD8

iEYEARECAAYFAkLFWdIACgkQ7Ro5M7LPzdgYWwCguZ1CZtpDCoKHWOibr/omavXb
0SoAoKzOVEHf9yWhPLt+H+H8TUQ8fUFH
=E/oB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:31:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:55:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.